Subject: 24.1; [PATCH] Hide specified ERC message types sent by lurkers
From: Josh <[email-masked]>
To: [email-masked]
Date: Fri, 13 Jul 2012 09:03:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

In addition to the current `erc-hide-list' functionality which
unconditionally hides specified IRC message types such as joins and
parts, this patch gives ERC the ability to hide messages of specified
types only for lurkers, while showing them for active channel
participants.  I've been using it locally for several months.  It
seems to be stable and well-behaved, and it noticeably increases the
signal to noise ratio in ERC buffers.  A few of the regulars on #emacs
have been using it as well and reported similar experiences.  I have
copyright assignment papers on file and I'd be pleased if this were to
be integrated.

Josh (jlf on #emacs)